commit:     e5f94d738c1e28e34c401a6785f66b1144b048a5
Author:     Jaco Kroon <jaco <AT> uls <DOT> co <DOT> za>
AuthorDate: Wed May  7 18:14:11 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed May 21 20:54:42 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e5f94d73

net-dialup/freeradius-client: add 1.1.8

Signed-off-by: Jaco Kroon <jaco <AT> uls.co.za>
Part-of: https://github.com/gentoo/gentoo/pull/41981
Closes: https://github.com/gentoo/gentoo/pull/41981
Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-dialup/freeradius-client/Manifest              |  1 +
 .../freeradius-client-1.1.8.ebuild                 | 62 ++++++++++++++++++++++
 2 files changed, 63 insertions(+)

diff --git a/net-dialup/freeradius-client/Manifest 
b/net-dialup/freeradius-client/Manifest
index a38c054359a1..cf8f08dfe899 100644
--- a/net-dialup/freeradius-client/Manifest
+++ b/net-dialup/freeradius-client/Manifest
@@ -1 +1,2 @@
 DIST freeradius-client-1.1.7.tar.gz 433141 BLAKE2B 
3a1ba65eb8b66d28362fd66a905af0a4e12b67e664da2c64dab87616e3787cded58d0c3bf56705bdb879d41f1a9a984cf5256b06eeb382209caebf748f679e12
 SHA512 
20e79ec97da79f46b334e1c2880803a692885a4038196a4d016094d349f675e2d0521d921140c5ab06703008619417f7a20d3e90cdfc7b3578faccbd232be0ce
+DIST freeradius-client-1.1.8.tar.gz 439294 BLAKE2B 
2b0d26dbe8b341ddaa683109fb9f3cb5f8a016ea76d2b85e8c89fcd54d9595ab49602da6c5cdfe95e89dab9264c1eb898670042abf806edfe398a179d4ce3065
 SHA512 
b79511f11a66f4288735e02dab2e7f8ecb1f5e8b2ee66e3e8e207a9f900572c64db6c1e1ad9ab7c7255d412549c88ba77f229687fc6d9ec9ac1b1d0807682525

diff --git a/net-dialup/freeradius-client/freeradius-client-1.1.8.ebuild 
b/net-dialup/freeradius-client/freeradius-client-1.1.8.ebuild
new file mode 100644
index 000000000000..68e97b16a778
--- /dev/null
+++ b/net-dialup/freeradius-client/freeradius-client-1.1.8.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools flag-o-matic
+
+DESCRIPTION="FreeRADIUS Client framework"
+HOMEPAGE="https://wiki.freeradius.org/project/Radiusclient";
+SRC_URI="https://github.com/FreeRADIUS/freeradius-client/archive/refs/tags/release_${PV//[.]/_}.tar.gz
 -> ${PF}.tar.gz"
+
+S="${WORKDIR}/${PN}-release_${PV//[.]/_}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="shadow static-libs"
+
+DEPEND="
+       !net-dialup/radiusclient-ng
+       virtual/libcrypt:=
+"
+RDEPEND="${DEPEND}"
+
+DOCS=(
+       BUGS doc/{ChangeLog,login.example,release-method.txt,instop.html}
+       README.{radexample,rst}
+)
+
+PATCHES=(
+       "${FILESDIR}/${PN}-1.1.7-ar-configure.in.patch"
+       "${FILESDIR}/${PN}-1.1.7-configure-clang16.patch"
+)
+
+src_prepare() {
+       default
+       mv configure.in configure.ac || die \
+               "Renaming configure.in to configure.ac failed"
+
+       eautoreconf
+}
+
+src_configure() {
+       # -Werror=lto-type-mismatch
+       # https://bugs.gentoo.org/927175
+       # https://github.com/FreeRADIUS/freeradius-client/issues/128
+       filter-lto
+
+       local myeconfargs=(
+               $(use_enable shadow)
+               --with-secure-path
+       )
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       default
+       newdoc doc/README README.login.example
+
+       use static-libs || \
+               find "${ED}" \( -name '*.a' -o name '*.la' \) -delete
+}

Reply via email to